#!/bin/bash

CASE_PREFIX="case"
NODE_NUM=1500
LINK_NUM=9000
CSP_NUM=500
HW_LEVEL_NUM=6
BASE_LEVEL_CAP=100
BASE_LEVEL_FEE=20
DECAY_FACTOR=0.6
MAX_BANDWIDTH=50
MAX_RENTAL_FEE=10
MIN_DEPLOY_FEE=1000
MAX_DEPLOY_FEE=2000
MIN_DEMAND=10
MAX_DEMAND=100

CASE_DIR=N${NODE_NUM}_L${LINK_NUM}_C${CSP_NUM}_H${HW_LEVEL_NUM}

rm -rf $CASE_DIR
mkdir $CASE_DIR
cd $CASE_DIR
for SEED in $(seq 1 9); do
	../graphGen ${CASE_PREFIX}_${SEED}.txt -n $NODE_NUM -a $LINK_NUM -c $CSP_NUM -h $HW_LEVEL_NUM -C $BASE_LEVEL_CAP -F $BASE_LEVEL_FEE -b $MAX_BANDWIDTH -r $MAX_RENTAL_FEE -L $MIN_DEPLOY_FEE -U $MAX_DEPLOY_FEE -l $MIN_DEMAND -u $MAX_DEMAND -d $DECAY_FACTOR -s $SEED
	echo "${CASE_PREFIX}_${SEED}.txt generated successfully."
done
cd ..
